.BuildUTL/JCL - Assemble Utilities for LS-DOS 6.3.1
.Copyright 1998, Peter W. Cervasio
.
.Set up disks as follows:
.
.  L631UTL disk goes in :1
.  L631SRC disk goes in :2
.  L631BIN disk goes in :3
. 
.  Parameters
.     (V="hh:ss") - Set timestamp. Default is 06:31
.     (LP)  - Generate /PRN files and export them to MSDOS.
.     (NOSTOP) - Don't pause
.
//IF -NOSTOP
//pause Press ENTER to continue
//END
//IF LP
//ASSIGN L="+L=:1 -SL"
. Ensure correct MSDOS directory for export
cd h:/model4/lsdos631/utils
//ELSE
//ASSIGN L="-WE"
//END
//IF -V
//ASSIGN V="06:31"
//END
.
time #v#
mras backup/asm:1 +o=:3 #L# -gc
//IF LP
export -l backup/prn:1
remove backup/prn:1
//END
.
time #v#
mras click/asm:1 +o=click/flt:3 #L# -gc
//IF LP
export -l click/prn:1
remove click/prn:1
//END
.
time #v#
mras com/asm:1 +o=com/dvr:3 #L# -gc
//IF LP
export -l com/prn:1
remove com/prn:1
//END
.
time #v#
mras comm/asm:1 +o=:3 #L# -gc
//IF LP
export -l comm/prn:1
remove comm/prn:1
//END
.
time #v#
mras dateconv/asm:1 +o=:3 #L# -gc
//IF LP
export -l dateconv/prn:1
remove dateconv/prn:1
//END
.
time #v#
mras diskcopy/asm:1 +o=:3 #L# -gc
//IF LP
export -l diskcopy/prn:1
remove diskcopy/prn:1
//END
.
time #v#
mras help/asm:1 +o=:3 #L# -gc
//IF LP
export -l help/prn:1
remove help/prn:1
//END
.
time #v#
mras conv/asm:1 +o=:3 #L# -gc
//IF LP
export -l conv/prn:1
remove conv/prn:1
//END
.
time #v#
mras floppy/asm:1 +o=floppy/dct:3 #L# -gc
//IF LP
export -l floppy/prn:1
remove floppy/prn:1
//END
.
time #v#
mras format/asm:1 +o=:3 #L# -gc
//IF LP
export -l format/prn:1
remove format/prn:1
//END
.
time #v#
mras forms/asm:1 +o=forms/flt:3 #L# -gc
//IF LP
export -l forms/prn:1
remove forms/prn:1
//END
.
time #v#
mras ksm/asm:1 +o=ksm/flt:3 #L# -gc
//IF LP
export -l ksm/prn:1
remove ksm/prn:1
//END
.
time #v#
mras log/asm:1 +o=:3 #L# -gc
//IF LP
export -l log/prn:1
remove log/prn:1
//END
.
time #v#
mras memdisk/asm:1 +o=memdisk/dct:3 #L# -gc
//IF LP
export -l memdisk/prn:1
remove memdisk/prn:1
//END
.
time #v#
mras patch/asm:1 +o=:3 #L# -gc
//IF LP
export -l patch/prn:1
remove patch/prn:1
//END
.
time #v#
mras repair/asm:1 +o=:3 #L# -gc
//IF LP
export -l repair/prn:1
remove repair/prn:1
//END
.
time #v#
mras tape100/asm:1 +o=:3 #L# -gc
//IF LP
export -l tape100/prn:1
remove tape100/prn:1
//END
.
MSDosTime set
.
. Done building LS-DOS Utilities for 06.03.01
.
//exit

